{
    Respond, the fax number form daemon
    Copyright (C) 2000 Horst F <horstf@gmx.de>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
}
unit StringObject;

interface

uses
  Observer;

type
  {
    For storing strings as objects in a TStringList a String object is needed.
  }
  TString = class(TObject)
  private
    oValue : String;
  public
    constructor Create(const s: String);
    destructor Destroy; override;
    property Value: String read oValue;
  end;


implementation

  {
    TString initializer.
  }
  constructor TString.Create(const s: String);
  begin
    inherited Create;
    oValue := s;
    ObjectObserver.Observe(self);
  end;

  destructor TString.Destroy;
  begin
    ObjectObserver.Forget(Self);
    inherited Destroy;
  end;

end.
